Skip to main content
POST
https://prod-api.raisedonors.com
/
api
/
Gift
/
query
Query Gifts
curl --request POST \
  --url https://prod-api.raisedonors.com/api/Gift/query \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "filter": "<string>",
  "skip": 123,
  "take": 123,
  "sortBy": "createdate",
  "descending": true,
  "includeDetails": true,
  "groups": [
    {
      "conditions": [
        {
          "parameter": "<string>",
          "value": "<string>",
          "secondaryValue": "<string>",
          "values": [
            "<string>"
          ]
        }
      ]
    }
  ],
  "selectedColumns": [
    "<string>"
  ]
}
'
{
  "items": [
    {
      "id": 123,
      "currency": "<string>",
      "amount": 123,
      "formattedAmount": "<string>",
      "date": "<string>",
      "createdDate": "<string>",
      "modifiedDate": "<string>",
      "statusText": "<string>",
      "gateway": "<string>",
      "authorizationNumber": "<string>",
      "transactionId": "<string>",
      "donationId": "<string>",
      "paymentInfo": "<string>",
      "paymentType": "<string>",
      "segment": "<string>",
      "motivation": "<string>",
      "campaignName": "<string>",
      "segmentName": "<string>",
      "notes": "<string>",
      "comment": "<string>",
      "donorId": 123,
      "billingName": "<string>",
      "shippingName": "<string>",
      "recurringGiftId": 123,
      "giftAidRequested": true,
      "canRefund": true,
      "donorPaidCosts": true,
      "paymentProviderTransactionUrl": "<string>",
      "submissionUrl": "<string>",
      "billingAddress": {
        "address1": "<string>",
        "address2": "<string>",
        "city": "<string>",
        "state": "<string>",
        "postal": "<string>",
        "countryString": "<string>",
        "addressTypeDisplay": "<string>"
      },
      "shippingAddress": {
        "address1": "<string>",
        "address2": "<string>",
        "city": "<string>",
        "state": "<string>",
        "postal": "<string>",
        "countryString": "<string>",
        "addressTypeDisplay": "<string>"
      },
      "projects": [
        {
          "projectId": 123,
          "name": "<string>",
          "amount": "<string>",
          "currencyExchange": {
            "nativeAmount": "<string>",
            "nativeCurrencyCode": "<string>",
            "settledExchangeRate": 123,
            "settledAmount": "<string>",
            "settledCurrencyCode": "<string>",
            "baseExchangeRate": 123,
            "baseAmount": "<string>",
            "baseCurrencyCode": "<string>",
            "isDifferentCurrency": true
          }
        }
      ],
      "browserInfo": {
        "name": "<string>",
        "version": "<string>",
        "platform": "<string>",
        "userAgent": "<string>",
        "javaScriptVersion": "<string>",
        "isBeta": true,
        "isCrawler": true,
        "supportsCookies": true,
        "supportsJavaApplets": true,
        "supportsActiveXControls": true
      },
      "premiumItem": {
        "qualifies": true,
        "premium": {
          "id": 123,
          "currency": "<string>",
          "name": "<string>",
          "nameShort": "<string>",
          "code": "<string>",
          "description": "<string>",
          "isActive": true,
          "price": 123,
          "formattedPrice": "<string>",
          "fairMarketValue": 123,
          "formattedFairMarketValue": "<string>",
          "inventory": 123,
          "keepActiveWhenHasNoInventory": true,
          "recurringPremiumId": 123,
          "recurringPremiumName": "<string>",
          "image": "<string>",
          "externalIdentifier": "<string>",
          "otherMinimumAmounts": [
            {
              "currency": "<string>",
              "value": 123
            }
          ]
        }
      },
      "form": {
        "id": 123,
        "title": "<string>",
        "landingUrl": "<string>",
        "referringUrl": "<string>",
        "isLegacy": true
      },
      "donorStatistic": {
        "totalGift": "<string>",
        "totalGiftAmount": "<string>",
        "lastGift": {
          "id": 123,
          "date": "<string>",
          "amount": "<string>",
          "paymentInfo": "<string>",
          "donorId": 123,
          "donorImage": "<string>",
          "donorName": "<string>",
          "donorEmail": "<string>",
          "form": "<string>",
          "projects": [
            {
              "projectId": 123,
              "name": "<string>",
              "amount": "<string>",
              "currencyExchange": {
                "nativeAmount": "<string>",
                "nativeCurrencyCode": "<string>",
                "settledExchangeRate": 123,
                "settledAmount": "<string>",
                "settledCurrencyCode": "<string>",
                "baseExchangeRate": 123,
                "baseAmount": "<string>",
                "baseCurrencyCode": "<string>",
                "isDifferentCurrency": true
              }
            }
          ],
          "statusText": "<string>",
          "donorIsGDPRDeleted": true,
          "isAnonymous": true,
          "canRefund": true,
          "transactionId": "<string>",
          "isTribute": true,
          "isFromTerminal": true,
          "donorPaidCosts": true,
          "metadata": [
            "<string>"
          ],
          "segmentCode": "<string>",
          "currencyExchange": {
            "nativeAmount": "<string>",
            "nativeCurrencyCode": "<string>",
            "settledExchangeRate": 123,
            "settledAmount": "<string>",
            "settledCurrencyCode": "<string>",
            "baseExchangeRate": 123,
            "baseAmount": "<string>",
            "baseCurrencyCode": "<string>",
            "isDifferentCurrency": true
          }
        },
        "lastGiftAmount": "<string>"
      },
      "recurringScheduleInfo": {
        "amount": "<string>",
        "currencyCode": "<string>",
        "frequency": "<string>",
        "statusText": "<string>",
        "successfulCycles": 123,
        "startDate": "<string>",
        "nextCharge": "<string>",
        "currentCharge": "<string>",
        "previousCharge": "<string>",
        "currencyExchange": {
          "nativeAmount": "<string>",
          "nativeCurrencyCode": "<string>",
          "settledExchangeRate": 123,
          "settledAmount": "<string>",
          "settledCurrencyCode": "<string>",
          "baseExchangeRate": 123,
          "baseAmount": "<string>",
          "baseCurrencyCode": "<string>",
          "isDifferentCurrency": true
        }
      },
      "tribute": {
        "isInMemoryOf": true,
        "isInHonorOf": true,
        "sendByEmail": true,
        "sendByPostal": true,
        "tributeFirstName": "<string>",
        "tributeLastName": "<string>",
        "tributeAddress": {
          "address1": "<string>",
          "address2": "<string>",
          "city": "<string>",
          "state": "<string>",
          "postal": "<string>",
          "countryString": "<string>",
          "addressTypeDisplay": "<string>"
        },
        "acknowledgeeFirstName": "<string>",
        "acknowledgeeLastName": "<string>",
        "acknowledgeeAddress": {
          "address1": "<string>",
          "address2": "<string>",
          "city": "<string>",
          "state": "<string>",
          "postal": "<string>",
          "countryString": "<string>",
          "addressTypeDisplay": "<string>"
        },
        "acknowledgeeEmailAddress": "<string>",
        "message": "<string>"
      },
      "donor": {
        "id": 123,
        "name": "<string>",
        "title": "<string>",
        "firstName": "<string>",
        "middleName": "<string>",
        "lastName": "<string>",
        "suffix": "<string>",
        "email": "<string>",
        "phone": "<string>",
        "createdDate": "<string>",
        "modifiedDate": "<string>",
        "notes": "<string>",
        "isOrganization": true,
        "organizationName": "<string>",
        "crmKeyUrls": {},
        "crmKey": "<string>",
        "crmSecondKey": "<string>",
        "isTestMode": true,
        "isArchived": true,
        "isGDPRDeleted": true,
        "primaryAddress": {
          "address1": "<string>",
          "address2": "<string>",
          "city": "<string>",
          "state": "<string>",
          "postal": "<string>",
          "countryString": "<string>",
          "addressTypeDisplay": "<string>",
          "id": 123,
          "donorId": 123,
          "isPrimary": true
        },
        "donorAddresses": [
          {
            "address1": "<string>",
            "address2": "<string>",
            "city": "<string>",
            "state": "<string>",
            "postal": "<string>",
            "countryString": "<string>",
            "addressTypeDisplay": "<string>",
            "id": 123,
            "donorId": 123,
            "isPrimary": true
          }
        ],
        "donorEmailAddresses": [
          {
            "id": 123,
            "donorId": 123,
            "typeDisplay": "<string>",
            "value": "<string>",
            "secondaryValue": "<string>",
            "isPrimary": true,
            "isOptedIn": true,
            "isValid": true,
            "isEmail": true,
            "isPhone": true,
            "isBounced": true,
            "countryCode": "<string>"
          }
        ],
        "donorPhoneNumbers": [
          {
            "id": 123,
            "donorId": 123,
            "typeDisplay": "<string>",
            "value": "<string>",
            "secondaryValue": "<string>",
            "isPrimary": true,
            "isOptedIn": true,
            "isValid": true,
            "isEmail": true,
            "isPhone": true,
            "isBounced": true,
            "countryCode": "<string>"
          }
        ]
      },
      "isAnonymous": true,
      "isTestMode": true,
      "virtualTerminalId": 123,
      "virtualTerminal": "<string>",
      "googleUtmCampaign": "<string>",
      "googleUtmContent": "<string>",
      "googleUtmMedium": "<string>",
      "googleUtmSource": "<string>",
      "googleUtmTerm": "<string>",
      "googleUtmId": "<string>",
      "googleGclid": "<string>",
      "motivationCodeGroupId": 123,
      "motivationCodeGroupName": "<string>",
      "motivationCodeId": 123,
      "motivationCodeName": "<string>",
      "currencyExchange": {
        "nativeAmount": "<string>",
        "nativeCurrencyCode": "<string>",
        "settledExchangeRate": 123,
        "settledAmount": "<string>",
        "settledCurrencyCode": "<string>",
        "baseExchangeRate": 123,
        "baseAmount": "<string>",
        "baseCurrencyCode": "<string>",
        "isDifferentCurrency": true
      }
    }
  ],
  "total": 123
}

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"

Body

The gift query request, including structured groups/conditions, selectedColumns, includeDetails, and paging options.

Request body for advanced query endpoints such as donor and campaign queries.

filter
string | null
skip
integer<int32>
take
integer<int32>
sortBy
enum<string> | null

Field to sort by (case-insensitive). Valid options: createdate, createddatetime, email, firstname, gifts, giftsum, id, lastname, modifieddatetimeutc, name, phone

Available options:
createdate,
createddatetime,
email,
firstname,
gifts,
giftsum,
id,
lastname,
modifieddatetimeutc,
name,
phone
Example:

"createdate"

descending
boolean
includeDetails
boolean
queryType
enum<integer>

The logical type of query being executed.

Available options:
0,
1,
2,
3,
4,
5,
6,
7,
8,
9
groups
object[] | null

The groups of conditions that make up the query.

selectedColumns
string[] | null

The list of result columns to return for each item.

Response

OK

items
object[]
total
integer<int32>
Last modified on June 5, 2026